edu.ucsb.nceas.metacat

## Class DocumentIdQuery

- java.lang.Object
- - edu.ucsb.nceas.metacat.DocumentIdQuery

-     public class DocumentIdQuery
      extends java.lang.Object

  Generate a pathquery document representing a metacat query for a list of document IDs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentIdQuery()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `createDocidQuery(java.lang.String[] docidList)` Create an squery using some preset values for the query parameters, only passing in the document ids to be searched.
    `static java.util.Hashtable` | `createDocidQueryParams(java.lang.String[] docidList, java.util.Hashtable params)` Create an squery parameters table using an already-initialized hashtable
    `static java.util.Hashtable` | `getDefaultQueryParams()` Create a paramter list containing default parameters for a query
    `static void` | `main(java.lang.String[] args)` Main method used for testing the class output

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentIdQuery

          public DocumentIdQuery()

  - ### Method Detail

    - #### createDocidQueryParams

          public static java.util.Hashtable createDocidQueryParams(java.lang.String[] docidList,
                                                                   java.util.Hashtable params)

      Create an squery parameters table using an already-initialized hashtable
      Parameters:
        `docidList` - an array of document identifiers to search for
        `params` - the hashtable to add the query parameters to.

    - #### createDocidQuery

          public static java.lang.String createDocidQuery(java.lang.String[] docidList)
                                                   throws edu.ucsb.nceas.utilities.PropertyNotFoundException

      Create an squery using some preset values for the query parameters, only passing in the document ids to be searched.
      Parameters:
        `docidList` - an array of document identifiers to search for
      Throws:
        `edu.ucsb.nceas.utilities.PropertyNotFoundException`

    - #### getDefaultQueryParams

          public static java.util.Hashtable getDefaultQueryParams()

      Create a paramter list containing default parameters for a query
      Returns:
        Hashtable containing the default parameters

    - #### main

          public static void main(java.lang.String[] args)

      Main method used for testing the class output
      Parameters:
        `args` - no arguments used in this main method

Copyright © 2023 Regents of the University of California. All Rights Reserved.